Registry (BioJava-1.5-beta API)
Keywords: org.biojava.directory.Registry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class Registry

    java.lang.Object
      org.biojava.directory.Registry

    public class Registry

extends Object

`Registry` is a factory which gets implementations of the BioJava `SequenceDBLite` interface. This is the point of entry for OBDA access.

Version:
  $Revision: 1.11 $
Author:
  Brian Gilman, Thomas Down, Keith James

Constructor Summary
`Registry(RegistryConfiguration regConfig)` Creates a new OBDA `Registry` with the specified configuration.

Method Summary
`SequenceDBLite` | `getDatabase(String dbName)` `getDatabase` retrieves a database instance known by a name `String`.
`RegistryConfiguration` | `getRegistryConfiguration()` `getRegistryConfiguration` returns the configuration of the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Registry

    public Registry(RegistryConfiguration regConfig)

  Creates a new OBDA `Registry` with the specified configuration.

  Parameters:
    `regConfig` - a `RegistryConfiguration`.

Method Detail

### getDatabase

    public SequenceDBLite getDatabase(String dbName)
                               throws RegistryException,
                                      BioException

  `getDatabase` retrieves a database instance known by a name `String`.

  Parameters:
    `dbName` - a `String` database name.
  Returns:
    a `SequenceDBLite`.
  Throws:
    `RegistryException` - if the registry does not contain a configuration for the specified name.
    `BioException` - if the provider fails.

### getRegistryConfiguration

    public RegistryConfiguration getRegistryConfiguration()

  `getRegistryConfiguration` returns the configuration of the registry.

  Returns:
    a `RegistryConfiguration`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD